<?php

// Determine what locale to use
switch (PHP_OS)
{
	case 'WINNT':
	case 'WIN32':
		$locale = 'chinese-simplified';
		break;

	case 'FreeBSD':
	case 'NetBSD':
	case 'OpenBSD':
		$locale = 'zh_CN.eucCN';
		break;

	default:
		$locale = 'zh_CN';
		break;
}

// Attempt to set the locale (required for fulltext indexing to work correctly)
setlocale(LC_CTYPE, $locale);


// Language definitions for frequently used strings
$lang_common = array(

// Text orientation and encoding
'lang_direction'		=>	'LTR',	// LTR (Left-To-Right) or RTL (Right-To-Left)
'lang_encoding'			=>	'gb2312',

// Notices
'Bad request'			=>	',Ҫʵҳ治',
'No permission'			=>	'ûȨ޷ʸҳ.',
'Bad referer'			=>	'ָ. 㳢Դһûо֤ĵַʱҳ. һ. ȻȷڹĵAdmin/Optionsȷ \'Base URL\'',

// Miscellaneous (used in many scripts)
'Options'				=>	'ѡ',
'Actions'				=>	'',
'Submit'				=>	'ύ',	// "name" of submit buttons
'Banned message'		=>	'ѾBan,κ,ϵ̳Ա',
'Never'					=>	'û',
'Today'					=>	'',
'Yesterday'				=>	'',
'First page'			=>	'һҳ',
'Last page'				=>	'һҳ',
'Info'					=>	'Ϣ',		// a common table header
'Go back'				=>	'',
'Maintenance'			=>	'ά',
'Redirecting'			=>	'ض',
'Click redirect'		=>	'ȴûԶת,',
'Login required'		=>	'ֻе½ûܷʱ̳.',
'Login'					=>  '½',
'or'					=>  'or',
'register'				=>  'ע',
'on'					=>	'',		// as in "BBCode is on"
'off'					=>	'ر',
'Invalid e-mail'		=>	'дE-MailַϷ.',
'required field'		=>	'Ǳ.',	// for javascript form validation
'Last post'				=>	'󷢱',
'by'					=>	'',	// as in last post by someuser
'Username'				=>	'û',
'E-mail'				=>	'E-mail',
'Registered'			=>	'עʱ',
'Message'				=>	'Ϣ',
'Topic'					=>	'',
'Forum'					=>	'̳',
'Posts'					=>	'',
'Replies'				=>	'ظ',
'Author'				=>	'',
'Pages'					=>	'ҳ',
'and'					=>	'',

// Title
'Title'					=>	'',
'Member'				=>	'Ա',	// Default title
'Moderator'				=>	'',
'Administrator'			=>	'Ա',
'Banned'				=>	'û',
'Guest'					=>	'ο',

// Stuff for include/parser.php
'BBCode error'			=>	'BBCode﷨.',
'BBCode error 1'		=>	'ֻ[/quote],ûпʼǩ.',
'BBCode error 2'		=>	'ֻ[code]ǩ,ûнǩ.',
'BBCode error 3'		=>	'ֻ[/code]ǩ,ûпʼǩ.',
'BBCode error 4'		=>	'ȱһ[/quote]ǩ.',
'BBCode error 5'		=>	'ȱһ[quote]ǩ.',

// Stuff for the navigator (top of every page)
'Home'					=>	'ҳ',
'User list'				=>	'ûб',
'Rules'					=>  '',
'Search'				=>  '',
'Register'				=>  'ע',
'Login'					=>  '½',
'Not logged in'			=>  'ûе½.',
'Profile'				=>	'趨',
'Logout'				=>	'˳',
'Logged in as'			=>	'ӭ',
'Admin'					=>	'',
'Last visit'			=>	'',

// Stuff for the page footer
'Show new posts'		=>	'ʾ',
'Show unanswered posts'	=>	'ʾûĶ',
'Show your posts'		=>	'ʾҵ',
'Mark all as read'		=>	'̳ΪѶ',
'Jump to'				=>	'ת',
'Go'					=>	' Go ',		// submit button in forum jump
'Move topic'			=>  'ƶ',
'Open topic'			=>  '',
'Close topic'			=>  'ر',
'Unstick topic'			=>  'ȡö',
'Stick topic'			=>  'ƶ',
'Edit subscribers'		=>  'Edit subscribers'

);
